OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXCAF
XCAFPrs

# XCAFPrs_DataMapIteratorOfDataMapOfStyleShape Class Reference

`#include <XCAFPrs_DataMapIteratorOfDataMapOfStyleShape.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | XCAFPrs_DataMapIteratorOfDataMapOfStyleShape ()
Standard_EXPORT | XCAFPrs_DataMapIteratorOfDataMapOfStyleShape (const XCAFPrs_DataMapOfStyleShape &aMap)
Standard_EXPORT void | Initialize (const XCAFPrs_DataMapOfStyleShape &aMap)
Standard_EXPORT const XCAFPrs_Style & | Key () const
Standard_EXPORT const TopoDS_Shape & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT XCAFPrs_DataMapIteratorOfDataMapOfStyleShape::XCAFPrs_DataMapIteratorOfDataMapOfStyleShape | ( |  | ) |

Standard_EXPORT XCAFPrs_DataMapIteratorOfDataMapOfStyleShape::XCAFPrs_DataMapIteratorOfDataMapOfStyleShape | ( | const XCAFPrs_DataMapOfStyleShape & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void XCAFPrs_DataMapIteratorOfDataMapOfStyleShape::Initialize | ( | const XCAFPrs_DataMapOfStyleShape & | aMap | ) |

Standard_EXPORT const XCAFPrs_Style& XCAFPrs_DataMapIteratorOfDataMapOfStyleShape::Key | ( |  | ) | const

void XCAFPrs_DataMapIteratorOfDataMapOfStyleShape::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XCAFPrs_DataMapIteratorOfDataMapOfStyleShape::operator new | ( | size_t | size | ) | `[inline]`

void* XCAFPrs_DataMapIteratorOfDataMapOfStyleShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const TopoDS_Shape& XCAFPrs_DataMapIteratorOfDataMapOfStyleShape::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- XCAFPrs_DataMapIteratorOfDataMapOfStyleShape.hxx